--- load.c.orig	2004-10-28 21:34:46.000000000 +0500
+++ load.c	2006-12-19 03:27:04.000000000 +0500
@@ -1175,6 +1175,36 @@
 	if (NULL != (fp = fopen ("refal5.cfg", "rt"))) {
 		return fp;
 	}
+#ifdef FOR_OS_LINUX
+
+       if (NULL != (cp_path = getenv ("HOME"))) {
+
+               sprintf (ca_dir, "%s%s", cp_path, "/.refal5rc");
+
+               if (0 == stat (ca_dir, & st_buf)) {
+
+                       if (NULL == (fp = fopen (ca_dir, "rt"))) {
+
+                               fprintf (stderr, "Found config file, but it cannot open it!?\n");
+
+                       }
+
+                       return fp;
+
+               }
+
+       }
+
+       if (NULL != (fp = fopen ("/etc/refal5.cfg", "rt"))) {
+
+               return fp;
+
+       }
+
+#endif
+
+#if 0
+
 	/* No in a current directory */
 	if (NULL == (cp_path = getenv ("PATH"))) {
 		fprintf (stderr, "No global variable PATH, but there isn't config file in the current directory\n");
@@ -1233,6 +1263,7 @@
 			return fp;
 		}
 	}
+#endif
 	return NULL;
 }
 
